# Return whether directory uses password protection

This function confirms whether a directory uses password protection.

Endpoint: GET /DirectoryPrivacy/is_directory_protected
Version: 11.136.0.25
Security: BasicAuth

## Query parameters:

  - `dir` (string, required)
    The absolute directory path on the cPanel account to check for password protection.
    Example: "/home/example/example.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "is_directory_protected"

  - `module` (string)
    The name of the module called.
    Example: "DirectoryPrivacy"

  - `result` (object)

  - `result.data` (object)

  - `result.data.auth_name` (string)
    The authentication resource name.
    Example: "Protected 'example.com'"

  - `result.data.auth_type` (string)
    The directory's authentication type.
* Basic
* None
    Enum: "Basic", "None"

  - `result.data.passwd_file` (string)
    The path to the directory's password file.
    Example: "/home/example/.htpasswds/example.com/passwd"

  - `result.data.protected` (integer)
    Whether the directory uses password protection.
* 1 - Protected.
* 0 - Not protected.
    Enum: 0, 1

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


